• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!

Forgottenserver - protocol 10x and 12x

riibeirol

New Member
Joined
Jun 19, 2016
Messages
2
Reaction score
0
Hello there!

Today i'm using OTBR source, protocol 12.64 and i'm migrating to Forgotten Server, so i cloned Forgotten Server to my VM.

I'm migrating because i need a clean source and datapack. I'm creating a alternative tibia server (Battle Royale - show project later) and i need use OTCV8 client for android users. There's a lot of players that uses cell phone to play today.

But i'm having a problem! When i cloned Forgotten Server (master) from Github, i saw that the protocol is 10.98, so i need to upgrade to 12x, right? How can i upgrade that source to accept 10x and 12x protocols? To accept OTCV8 and client 12x?

And theres a second problem: compatibility.

Like i said, i'm using OTBR today, so my items.otb, xml and world are saved in protocol 12.64 and now i need to migrate TFS. Theres no problem redo items, but i need to find a way to use the same world.

When i converted the world from 12.64 to 10.98 a lot of itens are missing (walls, stairs, objects, and others...)

So i really appreciate any help. If you would like to know more about my project, call me in Discord - riibeirol#4673

Thanks!
 

Yan18

Member
Joined
Jun 14, 2014
Messages
97
Solutions
2
Reaction score
16
Did you try change the value of:
C++:
static constexpr auto CLIENT_VERSION_MAX = 1098;
static constexpr auto CLIENT_VERSION_STR = "10.98";

to:
C++:
static constexpr auto CLIENT_VERSION_MAX = 1200;
static constexpr auto CLIENT_VERSION_STR = "12.00";

Did you try change it on source? This file is on definitions.h.

However, in the file itemloader.h the last Client Version enum is 1098, and I don't know to say if you add the CLIENT_VERSION_1200 will work...
 

Marco Oliveira

Active Member
Joined
Jan 5, 2019
Messages
54
Solutions
2
Reaction score
28
Location
Minas Gerais - Brasil
Hello how are you?
You can find here a branch with version 12.72 in clean TFS, unlike all the crap from crashbr.

Credits to @zbizu

As for converting the map, I don't know if there is any tool that does this except you have to track your entire map with the new OTB
 
OP
OP
R

riibeirol

New Member
Joined
Jun 19, 2016
Messages
2
Reaction score
0
Did you try change the value of:
C++:
static constexpr auto CLIENT_VERSION_MAX = 1098;
static constexpr auto CLIENT_VERSION_STR = "10.98";

to:
C++:
static constexpr auto CLIENT_VERSION_MAX = 1200;
static constexpr auto CLIENT_VERSION_STR = "12.00";

Did you try change it on source? This file is on definitions.h.

However, in the file itemloader.h the last Client Version enum is 1098, and I don't know to say if you add the CLIENT_VERSION_1200 will work..i

Hi!

I changed it but didn't worked. But i got OTBR outdated 10-12x and worked! Now it's working on protocol 12.64 and 10x (for otcv8) xD

Thanks for your help! :D
Post automatically merged:

Hello how are you?
You can find here a branch with version 12.72 in clean TFS, unlike all the crap from crashbr.

Credits to @zbizu

As for converting the map, I don't know if there is any tool that does this except you have to track your entire map with the new OTB

But this branch accepts both protocols? (10 and 12x?)
 

Marco Oliveira

Active Member
Joined
Jan 5, 2019
Messages
54
Solutions
2
Reaction score
28
Location
Minas Gerais - Brasil
Hi!

I changed it but didn't worked. But i got OTBR outdated 10-12x and worked! Now it's working on protocol 12.64 and 10x (for otcv8) xD

Thanks for your help! :D
Post automatically merged:



But this branch accepts both protocols? (10 and 12x?)

You will not have access to the legacy protocol, but you can base it on Version 12.71 update by Zbizu · Pull Request #3748 · otland/forgottenserver (https://github.com/otland/forgottenserver/pull/3748/commits/65ba75861c05083787ebce155bf63429d276f0ac) and add it.
 

zbizu

Legendary OT User
Joined
Nov 22, 2010
Messages
3,191
Solutions
23
Reaction score
2,349
Location
Poland
GitHub
Zbizu
You can check my github up to end of legacy protocol support. After that I also removed creature helpers code because client 12 no longer uses it. If you force client 12 spr/dat into 10.98, it can work. If you need to convert your maps from otbr to new I have a converter.


unlike all the crap from crashbr.
You guys would still sit on 10.98 for another 6 years if not me and all their work with version 12 so kindly stop insulting the people I got most of help from.
 
Last edited:
Top